<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ExtracuricullarSubKriteria extends Model
{
    protected $fillable = ['extracuricullar_id','criteria_id','sub_criteria_id'];

    public function extracuricullar()
    {
        return $this->belongsTo(Extracuricullar::class);
    }

    public function criteria()
    {
        return $this->belongsTo(Criteria::class);
    }

    public function subCriteria()
    {
        return $this->belongsTo(SubCriteria::class);
    }
}

